Bug 61754 - up2date-2.7.60-7.x.2 tracebacks with permission denied
Summary: up2date-2.7.60-7.x.2 tracebacks with permission denied
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-24 07:46 UTC by James Manning
Modified: 2015-01-07 23:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-25 21:33:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2002-03-24 07:46:44 UTC
ok, i *think* the feedback was that the up2date client should never spit out a 
traceback (certainly doesn't matter to me, just my recollection)

running up2date as a normal user without permission on relevant files

jmm@bp6:/home/jmm> up2date
warning: can't access /etc/sysconfig/rhn/up2date
warning: can't access /etc/sysconfig/rhn/up2date
Traceback (innermost last):
  File "/usr/sbin/up2date", line 15, in ?
    from up2date_client import up2date
  File "/usr/share/rhn/up2date_client/up2date.py", line 714, in ?
    rpm_version = getRpmVersion()
  File "/usr/share/rhn/up2date_client/up2date.py", line 705, in getRpmVersion
    db = openrpmdb()
  File "/usr/share/rhn/up2date_client/up2date.py", line 696, in openrpmdb
    log.log_me("Opening rpmdb in %s with option %s" % (dbpath,option))
  File "/usr/share/rhn/up2date_client/up2date.py", line 107, in log_me
    self.write_log(s)
  File "/usr/share/rhn/up2date_client/up2date.py", line 116, in write_log
    self.log_file = open(self.log_file_name, 'a')
IOError: [Errno 13] Permission denied: '/var/log/up2date'

Comment 1 Adrian Likins 2002-03-25 21:33:33 UTC
fixed in cvs, should be there in a future version of some sort.


Note You need to log in before you can comment on or make changes to this bug.